#!/bin/bash

### CONFIG
executable=$(pwd)/src/cli.py
tool=f8
bin=/usr/local/bin
#startup_file=$HOME/.bashrc

###

function fatal() {
  printf "*** FATAL: $1\n"
  exit 1
}

set -e

if [ "$1" != "--skip-deps" ]; then
  echo "installing dependencies ..."
  python2.7 -m pip install -r requirements.txt --only-binary=:all:
  printf "successfully installed dependencies \n\n"
fi

#if [ "$1" == "--link" ] || [ "$2" == "--link" ]; then
  echo "creating symlink to enable $tool in your PATH ..."
  [ -L $bin/$tool ] && { fatal "$tool already installed, please remove the symlink $bin/$tool if you wish to re-install"; }
  ln -s $executable $bin/$tool || fatal "unable to access $bin \n\nTo complete installation, run the following to enable $tool in your PATH: \n\n  sudo ln -s $executable $bin/$tool\n"
  printf "successfully enabled \n\n"
#else
#  echo "aliasing $tool in $startup_file"
#  echo "alias $tool=\"$executable\"" >> $startup_file
#  global="false"
#fi

printf "$tool can be used in any directory which has a valid $tool.yaml (or .json) file \n\n"
printf "for help on usage, run '$tool -h' \n\n"
printf "to create a new $tool.yaml file for an existing application, simply go to its directory root and run '$tool init' \n\n"

#if [ "$global" == "false" ]; then
#  echo "ATTENTION: Please run the following to complete the install!!"
#  echo "     source $startup_file"
#fi
